Subject: Re: save/2

From: Jan Wielemaker <[email-masked]>
Date: Thu, 30 Mar 2000 15:47:15 +0200

> It seems that SWI has removed the save/2 builtin in its last
> version(s).Any idea how to solve the compatibility problem with old
> written prolog programs? Which builtin should be used with version.
> 3.3.4?

save/2 proved too non-portable as the model of what is a process
instance became more and more complicated. Since quite some time there
is qsave_program/2, which is portable and cross-platform.  It does
not save the stacks, but you can give it a start-goal.

See the manual for details.

	Regards --- Jan